For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an auction item

Creates a new auction listing for a product.

Prices are fixed amounts in the shop's currency. Omit bidIncrement to use the default tiered bid increment table.

post
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
fields[auction-items]stringOptional

Available values are startPrice, reservePrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, reserveMet, canceledAt, archivedAt, processed, createdAt, updatedAt. You can include multiple values by separating them with a comma.

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl, sku. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: variant, product.

Body
externalProductIdnumberRequired

The Shopify product ID

auctionEventIdstring · nullableOptional

The UID of an uncompleted auction event to add this item to. The event dictates the item's open and close times.

startsAtstring · date-timeOptional

The date and time the auction opens (ISO 8601). Required unless the item is added to an auction event.

endsAtstring · date-timeOptional

The date and time the auction closes (ISO 8601). Required unless the item is added to an auction event.

startPricenumber · min: 0.01Required

The starting price in major currency units (e.g. 10.50).

reservePricenumber · min: 0.01 · nullableOptional

The reserve price in major currency units. Must be greater than or equal to the start price.

offerRuleIdstring · nullableOptional

The UID of an active auction offer rule to attach.

productFeeIdstring · nullableOptional

The UID of an active auction product fee to attach.

Responses
201

AuctionItemResource

application/vnd.api+json
post/auction-items
POST /v1/auction-items HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 385

{
  "externalProductId": 1,
  "auctionEventId": null,
  "startsAt": "2026-01-01T00:00:00.000Z",
  "endsAt": "2026-01-01T00:00:00.000Z",
  "startPrice": 1,
  "reservePrice": null,
  "offerRuleId": null,
  "productFeeId": null,
  "bidIncrementStrategy": {
    "strategy": "fixed_amount",
    "value": {
      "amount": 1,
      "percentage": 1
    }
  },
  "automaticBidding": {
    "enabled": true
  },
  "softClose": {
    "enabled": true,
    "extendFrom": null,
    "extendDuration": null
  }
}
{
  "data": {
    "id": "cv4bpx1j2568d4pj8nhs21gjpm",
    "type": "auction-items",
    "attributes": {
      "startPrice": {
        "value": 100,
        "major": "1.00",
        "display": "$1.00",
        "currency": "USD"
      },
      "reservePrice": {
        "value": 1000,
        "major": "10.00",
        "display": "$10.00",
        "currency": "USD"
      },
      "bidIncrementStrategy": {
        "strategy": "fixed_amount",
        "value": {
          "amount": {
            "value": 500,
            "major": "5.00",
            "display": "$5.00",
            "currency": "USD"
          }
        }
      },
      "automaticBidding": {
        "enabled": true
      },
      "softClose": {
        "enabled": false,
        "extendFrom": null,
        "extendDuration": null
      },
      "totalBids": 1,
      "highBidAmount": {
        "value": 5000,
        "major": "50.00",
        "display": "$50.00",
        "currency": "USD"
      },
      "minimumBid": {
        "value": 5500,
        "major": "55.00",
        "display": "$55.00",
        "currency": "USD"
      },
      "currentIncrement": {
        "value": 500,
        "major": "5.00",
        "display": "$5.00",
        "currency": "USD"
      },
      "startsAt": "2026-07-29T18:29:55.000000Z",
      "endsAt": "2026-07-29T19:29:55.000000Z",
      "position": null,
      "status": "active",
      "reserveMet": true,
      "canceledAt": null,
      "archivedAt": null,
      "processed": false,
      "createdAt": "2026-07-29T18:29:55.000000Z",
      "updatedAt": "2026-07-29T18:29:55.000000Z"
    },
    "relationships": {
      "variant": {
        "data": {
          "type": "variants",
          "id": "text"
        }
      },
      "product": {
        "data": {
          "type": "products",
          "id": "text"
        }
      }
    }
  },
  "included": [
    {
      "id": "text",
      "type": "text",
      "attributes": {
        "externalId": null,
        "displayName": "text",
        "title": null,
        "price": null,
        "photoUrl": null,
        "sku": null
      }
    }
  ]
}

Last updated